import {CommandInteraction, EmbedBuilder} from "discord.js";
import Moon from "../../../database/entities/Moon";
import EmbedColours from "../../../constants/EmbedColours";

export default async function ListMoons(interaction: CommandInteraction) {
    const moons = await Moon.FetchMoonsByUserId(interaction.user.id);

    if (!moons || moons.length == 0) {
        await interaction.reply("You do not have any moons.");
        return;
    }

    const description = moons.flatMap(x => `${x.MoonNumber}. ${x.Description.slice(0, 15)}`);

    const embed = new EmbedBuilder()
        .setTitle(`${interaction.user.username}'s Moons`)
        .setColor(EmbedColours.Ok)
        .setDescription(description.join("\n"))
        .setFooter({ text: `${moons.length} moons` });

    await interaction.reply({ embeds: [ embed ] });
}
